// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.15.6
// source: gRPC-api.proto

package grpc

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type APIRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Headers map[string]string `protobuf:"bytes,1,rep,name=Headers,proto3" json:"Headers,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Method  string            `protobuf:"bytes,2,opt,name=Method,proto3" json:"Method,omitempty"`
	Content string            `protobuf:"bytes,3,opt,name=Content,proto3" json:"Content,omitempty"`
	Params  map[string]string `protobuf:"bytes,4,rep,name=Params,proto3" json:"Params,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Path    string            `protobuf:"bytes,5,opt,name=Path,proto3" json:"Path,omitempty"`
}

func (x *APIRequest) Reset() {
	*x = APIRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_gRPC_api_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *APIRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*APIRequest) ProtoMessage() {}

func (x *APIRequest) ProtoReflect() protoreflect.Message {
	mi := &file_gRPC_api_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use APIRequest.ProtoReflect.Descriptor instead.
func (*APIRequest) Descriptor() ([]byte, []int) {
	return file_gRPC_api_proto_rawDescGZIP(), []int{0}
}

func (x *APIRequest) GetHeaders() map[string]string {
	if x != nil {
		return x.Headers
	}
	return nil
}

func (x *APIRequest) GetMethod() string {
	if x != nil {
		return x.Method
	}
	return ""
}

func (x *APIRequest) GetContent() string {
	if x != nil {
		return x.Content
	}
	return ""
}

func (x *APIRequest) GetParams() map[string]string {
	if x != nil {
		return x.Params
	}
	return nil
}

func (x *APIRequest) GetPath() string {
	if x != nil {
		return x.Path
	}
	return ""
}

type Response struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	HTTPCode  int32             `protobuf:"varint,1,opt,name=HTTPCode,proto3" json:"HTTPCode,omitempty"`
	Content   string            `protobuf:"bytes,2,opt,name=Content,proto3" json:"Content,omitempty"`
	Message   string            `protobuf:"bytes,3,opt,name=Message,proto3" json:"Message,omitempty"`
	Headers   map[string]string `protobuf:"bytes,4,rep,name=Headers,proto3" json:"Headers,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	ErrorCode string            `protobuf:"bytes,5,opt,name=ErrorCode,proto3" json:"ErrorCode,omitempty"`
	Total     int32             `protobuf:"varint,6,opt,name=Total,proto3" json:"Total,omitempty"`
}

func (x *Response) Reset() {
	*x = Response{}
	if protoimpl.UnsafeEnabled {
		mi := &file_gRPC_api_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Response) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Response) ProtoMessage() {}

func (x *Response) ProtoReflect() protoreflect.Message {
	mi := &file_gRPC_api_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Response.ProtoReflect.Descriptor instead.
func (*Response) Descriptor() ([]byte, []int) {
	return file_gRPC_api_proto_rawDescGZIP(), []int{1}
}

func (x *Response) GetHTTPCode() int32 {
	if x != nil {
		return x.HTTPCode
	}
	return 0
}

func (x *Response) GetContent() string {
	if x != nil {
		return x.Content
	}
	return ""
}

func (x *Response) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

func (x *Response) GetHeaders() map[string]string {
	if x != nil {
		return x.Headers
	}
	return nil
}

func (x *Response) GetErrorCode() string {
	if x != nil {
		return x.ErrorCode
	}
	return ""
}

func (x *Response) GetTotal() int32 {
	if x != nil {
		return x.Total
	}
	return 0
}

var File_gRPC_api_proto protoreflect.FileDescriptor

var file_gRPC_api_proto_rawDesc = []byte{
	0x0a, 0x0e, 0x67, 0x52, 0x50, 0x43, 0x2d, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x04, 0x6d, 0x61, 0x69, 0x6e, 0x22, 0xb8, 0x02, 0x0a, 0x0a, 0x41, 0x50, 0x49, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x07, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x41, 0x50,
	0x49, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x07, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x12, 0x16,
	0x0a, 0x06, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x43, 0x6f, 0x6e, 0x74, 0x65, 0x6e,
	0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x43, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74,
	0x12, 0x34, 0x0a, 0x06, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x1c, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x41, 0x50, 0x49, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x2e, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06,
	0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x12, 0x12, 0x0a, 0x04, 0x50, 0x61, 0x74, 0x68, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x50, 0x61, 0x74, 0x68, 0x1a, 0x3a, 0x0a, 0x0c, 0x48, 0x65,
	0x61, 0x64, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65,
	0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x1a, 0x39, 0x0a, 0x0b, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38,
	0x01, 0x22, 0x81, 0x02, 0x0a, 0x08, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1a,
	0x0a, 0x08, 0x48, 0x54, 0x54, 0x50, 0x43, 0x6f, 0x64, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x08, 0x48, 0x54, 0x54, 0x50, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x43, 0x6f,
	0x6e, 0x74, 0x65, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x43, 0x6f, 0x6e,
	0x74, 0x65, 0x6e, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x35,
	0x0a, 0x07, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x1b, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x2e,
	0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x07, 0x48, 0x65,
	0x61, 0x64, 0x65, 0x72, 0x73, 0x12, 0x1c, 0x0a, 0x09, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x43, 0x6f,
	0x64, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x43,
	0x6f, 0x64, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x54, 0x6f, 0x74, 0x61, 0x6c, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x05, 0x54, 0x6f, 0x74, 0x61, 0x6c, 0x1a, 0x3a, 0x0a, 0x0c, 0x48, 0x65, 0x61,
	0x64, 0x65, 0x72, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x3a, 0x02, 0x38, 0x01, 0x32, 0x3d, 0x0a, 0x0a, 0x47, 0x52, 0x50, 0x43, 0x53, 0x65, 0x72,
	0x76, 0x65, 0x72, 0x12, 0x2f, 0x0a, 0x07, 0x43, 0x61, 0x6c, 0x6c, 0x41, 0x70, 0x69, 0x12, 0x10,
	0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x41, 0x50, 0x49, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x0e, 0x2e, 0x6d, 0x61, 0x69, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x28, 0x01, 0x30, 0x01, 0x42, 0x25, 0x5a, 0x23, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x61, 0x62, 0x61, 0x6f, 0x2e, 0x6f, 0x6e, 0x67, 0x2f, 0x62, 0x6d,
	0x73, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_gRPC_api_proto_rawDescOnce sync.Once
	file_gRPC_api_proto_rawDescData = file_gRPC_api_proto_rawDesc
)

func file_gRPC_api_proto_rawDescGZIP() []byte {
	file_gRPC_api_proto_rawDescOnce.Do(func() {
		file_gRPC_api_proto_rawDescData = protoimpl.X.CompressGZIP(file_gRPC_api_proto_rawDescData)
	})
	return file_gRPC_api_proto_rawDescData
}

var file_gRPC_api_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_gRPC_api_proto_goTypes = []interface{}{
	(*APIRequest)(nil), // 0: main.APIRequest
	(*Response)(nil),   // 1: main.Response
	nil,                // 2: main.APIRequest.HeadersEntry
	nil,                // 3: main.APIRequest.ParamsEntry
	nil,                // 4: main.Response.HeadersEntry
}
var file_gRPC_api_proto_depIdxs = []int32{
	2, // 0: main.APIRequest.Headers:type_name -> main.APIRequest.HeadersEntry
	3, // 1: main.APIRequest.Params:type_name -> main.APIRequest.ParamsEntry
	4, // 2: main.Response.Headers:type_name -> main.Response.HeadersEntry
	0, // 3: main.GRPCServer.CallApi:input_type -> main.APIRequest
	1, // 4: main.GRPCServer.CallApi:output_type -> main.Response
	4, // [4:5] is the sub-list for method output_type
	3, // [3:4] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_gRPC_api_proto_init() }
func file_gRPC_api_proto_init() {
	if File_gRPC_api_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_gRPC_api_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*APIRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_gRPC_api_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Response); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_gRPC_api_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_gRPC_api_proto_goTypes,
		DependencyIndexes: file_gRPC_api_proto_depIdxs,
		MessageInfos:      file_gRPC_api_proto_msgTypes,
	}.Build()
	File_gRPC_api_proto = out.File
	file_gRPC_api_proto_rawDesc = nil
	file_gRPC_api_proto_goTypes = nil
	file_gRPC_api_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// GRPCServerClient is the client API for GRPCServer service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type GRPCServerClient interface {
	CallApi(ctx context.Context, opts ...grpc.CallOption) (GRPCServer_CallApiClient, error)
}

type gRPCServerClient struct {
	cc grpc.ClientConnInterface
}

func NewGRPCServerClient(cc grpc.ClientConnInterface) GRPCServerClient {
	return &gRPCServerClient{cc}
}

func (c *gRPCServerClient) CallApi(ctx context.Context, opts ...grpc.CallOption) (GRPCServer_CallApiClient, error) {
	stream, err := c.cc.NewStream(ctx, &_GRPCServer_serviceDesc.Streams[0], "/main.GRPCServer/CallApi", opts...)
	if err != nil {
		return nil, err
	}
	x := &gRPCServerCallApiClient{stream}
	return x, nil
}

type GRPCServer_CallApiClient interface {
	Send(*APIRequest) error
	Recv() (*Response, error)
	grpc.ClientStream
}

type gRPCServerCallApiClient struct {
	grpc.ClientStream
}

func (x *gRPCServerCallApiClient) Send(m *APIRequest) error {
	return x.ClientStream.SendMsg(m)
}

func (x *gRPCServerCallApiClient) Recv() (*Response, error) {
	m := new(Response)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// GRPCServerServer is the server API for GRPCServer service.
type GRPCServerServer interface {
	CallApi(GRPCServer_CallApiServer) error
}

// UnimplementedGRPCServerServer can be embedded to have forward compatible implementations.
type UnimplementedGRPCServerServer struct {
}

func (*UnimplementedGRPCServerServer) CallApi(GRPCServer_CallApiServer) error {
	return status.Errorf(codes.Unimplemented, "method CallApi not implemented")
}

func RegisterGRPCServerServer(s *grpc.Server, srv GRPCServerServer) {
	s.RegisterService(&_GRPCServer_serviceDesc, srv)
}

func _GRPCServer_CallApi_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(GRPCServerServer).CallApi(&gRPCServerCallApiServer{stream})
}

type GRPCServer_CallApiServer interface {
	Send(*Response) error
	Recv() (*APIRequest, error)
	grpc.ServerStream
}

type gRPCServerCallApiServer struct {
	grpc.ServerStream
}

func (x *gRPCServerCallApiServer) Send(m *Response) error {
	return x.ServerStream.SendMsg(m)
}

func (x *gRPCServerCallApiServer) Recv() (*APIRequest, error) {
	m := new(APIRequest)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

var _GRPCServer_serviceDesc = grpc.ServiceDesc{
	ServiceName: "main.GRPCServer",
	HandlerType: (*GRPCServerServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "CallApi",
			Handler:       _GRPCServer_CallApi_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
	},
	Metadata: "gRPC-api.proto",
}
